<template>
<div>
  <h1>Home Page</h1>
  <div>{{ readersNumber }} {{ book.title }}</div>
</div>
</template>

<script>
  import { ref, reactive } from 'vue'

  export default {
    setup() {
      const readersNumber = ref(0) // 반응형 변수 생성
      const book = reactive({ title: 'Vue 3 tutorial' }) // 반응형 객체 생성

      // expose to template
      return {
        readersNumber,
        book
      }
    }
  }
</script>